%global realname log4erl
%global upstream ahmednawras
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	0.9.0
Release:	18%{?dist}
Summary:	A logger for erlang in the spirit of Log4J
Group:		Development/Libraries
# Dual licensing (MPL or BSD) is explicitly stated at project's web-page
# log4erl_parser.erl is licensed under ERPL
License:	MPLv1.1 or BSD and ERPL
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
#Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Source0:	https://github.com/%{upstream}/%{realname}/archive/76ef24cb3928fbacd5777eadeedac0df0a0dc822/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-mochiweb
BuildRequires:	erlang-rebar


%description
A logger for erlang in the spirit of Log4J.


%prep
#%%setup -q -n %{realname}-%{version}
%setup -q -n %{realname}-76ef24cb3928fbacd5777eadeedac0df0a0dc822
# in mochiweb
rm -f src/mochinum.erl


%build
%{erlang_compile}


%install
%{erlang_install}
install -D -p -m 0644 priv/l4e.conf %{buildroot}%{erlang_appdir}/priv/l4e.conf
install -D -p -m 0644 priv/log4erl.conf %{buildroot}%{erlang_appdir}/priv/log4erl.conf


%check
%{erlang_test}


%files
%doc API.txt Appenders_API.txt CHANGELOG.txt CONFIGURATION.txt LICENSE.txt README.txt TODO.txt
%{erlang_appdir}/


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri May 27 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.9.0-13
- Spec-file cleanup

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 27 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.9.0-3
- Fixed license tag

* Thu Sep 23 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.9.0-2
- Narrow BuildRequires

* Wed Sep  8 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.9.0-1
- Initial build

